var checkbox;
function check_all(n,p){controler("checkall",n,p);}
function check_no(n,p){controler("uncheck",n,p);}
function check_rev(n,p){controler("Revercheck",n,p);}
function controler(t,n,p)
{
getcheck(n,p);
if(t=="checkall"){checkall();}
else if(t=="uncheck"){uncheckall()}
else if(t=="Revercheck"){ReverseCheck()}
else{return false}
}

function getcheck(n,p)
{
var cba;
if(n)
{
cba=window.document.getElementsByName(n)
}
else
{
cba=window.document.getElementsByTagName('input')
}
if(cba){
checkbox=cba;
}
else{
checkbox=false;}
}

function checkall(){
if(checkbox){
for(var i=0;i<checkbox.length;i++)
{checkIt(checkbox[i]);}}}

function checkIt(o)
{
if(o&&!o.disabled){o.checked=true;}}

function NoCheck(o)
{
if(o&&!o.disabled){o.checked=false;}
}

function ischeck(o)
{
if(o.checked==true){return true;}else{return false;}
}

function uncheckall(){
if(checkbox){
for(var i=0;i<checkbox.length;i++)
{NoCheck(checkbox[i]);}}}

function ReverseCheck()
{if(checkbox){
for(var i=0;i<checkbox.length;i++)
{
if(!ischeck(checkbox[i])){checkIt(checkbox[i])}
else{NoCheck(checkbox[i]);}}}}